Subject: Re: [bug#44573] [PATCH] gnu: flightgear: Update to 2020.3.2

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 11 Nov 2020 16:38:21 +0100

Barnabas,

Thank you!

Barnabas Beres 写道：
> * gnu/packages/games.scm (simgear): Update to 2020.3.2
> * gnu/packages/games.scm (flightgear): Update to 2020.3.2

Unfortunately, this patch is incomplete: you'd expect at least one 
hash change, and in this case 3 (simgear, flightgear, and its 
data).

Unfortunatelier, I updated Flightgear to 2020.3.2 when it came out 
(patch below) but haven't been able to test it yet, so it's been 
rotting away on my hard drive.

Have you successfully flown the new version?

It adds yet another a third-party library but I kept is as it's 
been ‘modified’ according to the README.  I didn't compare the 
code.

Kind regards,

T G-R

From 4926806b4acc86382cb80195d07cc731c8bb91d3 Mon Sep 17 00:00:00 2001
From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 7 Nov 2020 23:24:29 +0100
Subject: [PATCH] gnu: simgear, flightgear: Update to 2020.3.2.

* gnu/packages/games.scm (simgear, flightgear): Update to 2020.3.2.
---
 gnu/packages/games.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index 439e369fe4..217e2507fd 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -8803,7 +8803,7 @@ levels to unlock.")
 (define simgear
   (package
     (name "simgear")
-    (version "2018.3.5")
+    (version "2020.3.2")
     (source
      (origin
        (method url-fetch)
@@ -8811,7 +8811,7 @@ levels to unlock.")
                            (version-major+minor version) "/"
                            "simgear-" version ".tar.bz2"))
        (sha256
-        (base32 "1vkqm66r1205k3hdjmx5wmx5kvmsb0dgfzrs8n5gqnxj8szs42dl"))))
+        (base32 "0kkxanfhdw16phb3b890ywbfnswzjfl5mi2ikjjhz3fwz6rx6i09"))))
     (build-system cmake-build-system)
     (arguments
      `(#:phases
@@ -8847,11 +8847,11 @@ and also provides the base for the FlightGear Flight Simulator.")
                            (version-major+minor version) "/"
                            "flightgear-" version ".tar.bz2"))
        (sha256
-        (base32 "0ya3vb539kwi1qrifqhsj5j3k4w6s06hrllp2vdzxf6id7cgf0hc"))
+        (base32 "056cvrb6qwn9p64nigm3d6md86fcqv00691a4a0r0ppqhslbr6xd"))
        (modules '((guix build utils)))
        (snippet
         '(begin
-           ;; There are some bundled libraries.
+           ;; There are some bundled libraries, not all of them listed here.
            (for-each delete-file-recursively
                      '("3rdparty/sqlite3/"))
            #t))))
@@ -8920,7 +8920,7 @@ and also provides the base for the FlightGear Flight Simulator.")
                                "FlightGear-" version "-data.tar.bz2"))
            (sha256
             (base32
-             "04fv9za5zlyxlyfh6jx78y42l3jazvzl9dq2y6rzxqlcc9g5swhk"))))))
+             "0bpr1nidcdc0p7a8z8rnvsisp6jy7ick5m9npdx6z2b0gj7ikcsq"))))))
     (home-page "https://home.flightgear.org/")
     (synopsis "Flight simulator")
     (description "The goal of the FlightGear project is to create a
-- 
2.29.2